Loading...
Searching...
No Matches
Opm::EQUIL::Miscibility::PBVD< FluidSystem > Class Template Reference

Type that implements "dissolved gas-oil ratio" tabulated as a function of depth policy. More...

`#include <EquilibrationHelpers.hpp>`

Inheritance diagram for Opm::EQUIL::Miscibility::PBVD< FluidSystem >:

## Public Types

using | Scalar = typename FluidSystem::Scalar

## Public Member Functions

| PBVD (const int pvtRegionIdx, const std::vector< Scalar > &depth, const std::vector< Scalar > &pbub)
| Constructor.
Scalar | operator() (const Scalar depth, const Scalar cellPress, const Scalar temp, const Scalar satGas=0.0) const override
| Function call.
Public Member Functions inherited from Opm::EQUIL::Miscibility::RsFunction< FluidSystem::Scalar >
virtual Scalar | operator() (const Scalar depth, const Scalar press, const Scalar temp, const Scalar sat=0.0) const=0
| Function call operator.

## Detailed Description

template<class FluidSystem>
class Opm::EQUIL::Miscibility::PBVD< FluidSystem >

Type that implements "dissolved gas-oil ratio" tabulated as a function of depth policy.

Data typically from keyword 'PBVD'.

## Constructor & Destructor Documentation

## PBVD()

template<class FluidSystem>

Opm::EQUIL::Miscibility::PBVD< FluidSystem >::PBVD | ( | const int | pvtRegionIdx,
|  | const std::vector< Scalar > & | depth,
|  | const std::vector< Scalar > & | pbub )

Constructor.

Parameters

  [in] | pvtRegionIdx | The pvt region index
  [in] | depth | Depth nodes.
  [in] | pbub | Bubble-point pressure at `depth`.

## Member Function Documentation

## operator()()

template<class FluidSystem>

PBVD< FluidSystem >::Scalar Opm::EQUIL::Miscibility::PBVD< FluidSystem >::operator() | ( | const Scalar | depth,
|  | const Scalar | cellPress,
|  | const Scalar | temp,
|  | const Scalar | satGas = 0.0 ) const

override

Function call.

Parameters

  [in] | depth | Depth at which to calculate RS value.
  [in] | cellPress | Pressure in the cell
  [in] | temp | Temperature at which to calculate RS value.
  [in] | satGas | Gas saturation at which to calculate RS value.

Returns
  Dissolved gas-oil ratio (RS) at depth `depth` and pressure `press`.

The documentation for this class was generated from the following files:

- opm/simulators/flow/equil/EquilibrationHelpers.hpp
- opm/simulators/flow/equil/EquilibrationHelpers_impl.hpp